MoreTextInternal::OutlineMod Struct Reference

Internal and low level: the outline modifier header of a MoreText. More...

## Public Member Functions

| OutlineMod ()
| constructor
int | getModId () const
| returns the data id to change in Outline

## Public Attributes

int | m_type
| the type
int | m_flags
| the flag
MWAWEntry | m_entry
| the data entry
int | m_unknowns [2]
| some unknown flags
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, OutlineMod const &head)
| operator<<

## Detailed Description

Internal and low level: the outline modifier header of a MoreText.

## Constructor & Destructor Documentation

## OutlineMod()

MoreTextInternal::OutlineMod::OutlineMod | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## getModId()

int MoreTextInternal::OutlineMod::getModId | ( |  | ) | const

inline

returns the data id to change in Outline

Referenced by MoreText::readOutline().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | OutlineMod const & | head )

friend

operator<<

## Member Data Documentation

## m_entry

MWAWEntry MoreTextInternal::OutlineMod::m_entry

the data entry

Referenced by operator<<, OutlineMod(), and MoreText::readOutline().

## m_extra

std::string MoreTextInternal::OutlineMod::m_extra

extra data

Referenced by operator<<, OutlineMod(), and MoreText::readOutline().

## m_flags

int MoreTextInternal::OutlineMod::m_flags

the flag

Referenced by getModId(), operator<<, OutlineMod(), and MoreText::readOutline().

## m_type

int MoreTextInternal::OutlineMod::m_type

the type

Referenced by operator<<, OutlineMod(), and MoreText::readOutline().

## m_unknowns

int MoreTextInternal::OutlineMod::m_unknowns[2]

some unknown flags

Referenced by getModId(), operator<<, OutlineMod(), and MoreText::readOutline().

The documentation for this struct was generated from the following file:

- MoreText.cxx